summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 20:01:44 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:01:44 +0200
commitcd508c90a7ad0c94466224d6d1c3c18912fcdfe9 (patch)
tree6a0485567dcec659dbe137ec2f6d62c0f6d6cea5
parent7053e3e8a68f6bb43c4819cd1ee454ac3d7bb983 (diff)
downloadslackbuilds-cd508c90a7ad0c94466224d6d1c3c18912fcdfe9.tar.gz
slackbuilds-cd508c90a7ad0c94466224d6d1c3c18912fcdfe9.tar.xz
network/udpcast: Added to 12.0 repository
-rw-r--r--network/udpcast/README3
-rw-r--r--network/udpcast/slack-desc19
-rw-r--r--network/udpcast/udpcast.SlackBuild82
-rw-r--r--network/udpcast/udpcast.info8
4 files changed, 112 insertions, 0 deletions
diff --git a/network/udpcast/README b/network/udpcast/README
new file mode 100644
index 0000000000..31c6b75864
--- /dev/null
+++ b/network/udpcast/README
@@ -0,0 +1,3 @@
+Udpcast is a commandline program for transmitting or receiving files over
+the network using the UDP protocol. This way, you get a higher bandwidth
+than via TCP and you can send it to many clients at once.
diff --git a/network/udpcast/slack-desc b/network/udpcast/slack-desc
new file mode 100644
index 0000000000..166d83266c
--- /dev/null
+++ b/network/udpcast/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+udpcast: udpcast (UDP File-Sender/Receiver)
+udpcast:
+udpcast: Udpcast is a commandline program for transmitting or receiving
+udpcast: files over the network using the UDP protocol.
+udpcast: This way, you get a higher bandwidth than via TCP and you can
+udpcast: send to many clients at once.
+udpcast:
+udpcast:
+udpcast:
+udpcast:
+udpcast:
diff --git a/network/udpcast/udpcast.SlackBuild b/network/udpcast/udpcast.SlackBuild
new file mode 100644
index 0000000000..ab3fded901
--- /dev/null
+++ b/network/udpcast/udpcast.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for udpcast
+
+# Copyright 2007-2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=udpcast
+VERSION=20071228
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog.txt COPYING cmd.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/udpcast/udpcast.info b/network/udpcast/udpcast.info
new file mode 100644
index 0000000000..b487c5def1
--- /dev/null
+++ b/network/udpcast/udpcast.info
@@ -0,0 +1,8 @@
+PRGNAM="udpcast"
+VERSION="20071228"
+HOMEPAGE="http://udpcast.linux.lu"
+DOWNLOAD="http://udpcast.linux.lu/download/udpcast-20071228.tar.gz"
+MD5SUM="064cfdbcdfe5f18552835ae88e3211f1"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="Michiel"